Loading...
Searching...
No Matches
WebSocketClient Namespace Reference

the WebSocketClient namespace contains all the definitions in the WebSocketClient module More...

## Classes

class | WebSocketClient
| the main websocket client class More...
class | WebSocketClientDataProvider
| Event-based data provider for WebSocket messaging. More...
class | WebSocketClientDataProviderBase
| Event- and message-based data provider for WebSocket client-side events. More...
class | WebSocketClientDataProviderFactory
| The WebSocket data provider factory. More...
class | WebSocketClientDelayedDataProvider
| Event-based data provider for WebSocket messaging. More...
class | WebSocketClientEventDataType
| WebSocket event data description. More...
class | WebSocketClientWaitForMessageDataProvider
| WebSocket client wait for message from server API data provider. More...
class | WebSocketClientWaitForMessageRequestDataType
| Data type for delete order calls. More...
class | WebSocketConnectionObject
| class for websocket connections; returns an object of class WebSocketClient for receiving websocket events from a websocket server More...

## Variables

const | EVENT_WS_CLOSED = "ws-closed-event"
| WebSocket connection closed event constant.
const | EVENT_WS_DATA = "ws-data-event"
| WebSocket data event constant.
const | EVENT_WS_PING = "ws-ping-event"
| WebSocket ping event constant.
const | EVENT_WS_PONG = "ws-pong-event"
| WebSocket pong event constant.
const | MESSAGE_WS_DATA = "data"
| WebSocket data message type.
const | MESSAGE_WS_PING = "ping"
| WebSocket ping message type.
const | MESSAGE_WS_PONG = "pong"
| WebSocket pong message type.
const | MESSAGE_WS_RAW = "raw"
| WebSocket raw data message type.
const | WSC_Break = 2
| If the client should stop listening (message already processed)
const | WSC_Continue = 1
| If the client should continue listening (message already processed)
const | WSC_Process = 0
const | WsDefaultPort = 80
| default port for connections
const | WsSchemes
| known websocket schemes

## Detailed Description

the WebSocketClient namespace contains all the definitions in the WebSocketClient module

## Variable Documentation

## MESSAGE_WS_DATA

const WebSocketClient::MESSAGE_WS_DATA = "data"

WebSocket data message type.

Sends a WebSocket message to the remote end; the message will be serialized according to the serialization option on the WebSocketClient object

## MESSAGE_WS_PING

const WebSocketClient::MESSAGE_WS_PING = "ping"

WebSocket ping message type.

Sends a `PING` message to the server, a PONG event should be generated

## MESSAGE_WS_PONG

const WebSocketClient::MESSAGE_WS_PONG = "pong"

WebSocket pong message type.

Sends a `PONG` message to the server; should be sent when a `PING` event is received

## MESSAGE_WS_RAW

const WebSocketClient::MESSAGE_WS_RAW = "raw"

WebSocket raw data message type.

Sends a raw message to the remote end; the message is sent as-is